/**
  *  \file planetscentral/fsout.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_FSOUT_H
#define C2SERVER_PLANETSCENTRAL_FSOUT_H

#include "cpluslib/string.h"

class FileServerOutput {
 public:
    FileServerOutput(int fd);
    ~FileServerOutput()
        { flush(); }
    void writeSimpleString(string_t str);
    void writeFullString(string_t str);
    void writeNumber(long number);
    void writeArrayStart(long number);
    void writeHashStart(long nkeys);

 private:
    void post(const char* data, size_t size);
    void flush();

    int fd;

    size_t buf_fill;
    char buffer[4096];
};

#endif
