/**
  *  \file planetscentral/host/cmdgame.h
  *  \brief Host: GAME commands
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_CMDGAME_H
#define C2SERVER_PLANETSCENTRAL_HOST_CMDGAME_H

#include "cpluslib/string.h"

class HostConnection;
class IntArgBlock;

void doNewGame(HostConnection& conn, IntArgBlock& args);
void doCloneGame(HostConnection& conn, IntArgBlock& args);
void doSetGameType(HostConnection& conn, IntArgBlock& args);
void doSetGameState(HostConnection& conn, IntArgBlock& args);
void doSetGameOwner(HostConnection& conn, IntArgBlock& args);
void doSetGameName(HostConnection& conn, IntArgBlock& args);
void doStatGame(HostConnection& conn, IntArgBlock& args);
void doListGames(HostConnection& conn, IntArgBlock& args);
void doSetGameConfig(HostConnection& conn, IntArgBlock& args);
void doGetGameConfig(HostConnection& conn, IntArgBlock& args);
void doGetGameConfigMultiple(HostConnection& conn, IntArgBlock& args);
void doGetGameCache(HostConnection& conn, IntArgBlock& args);
void doGetGameProperty(HostConnection& conn, IntArgBlock& args, string_t prop);
void doCheckGamePermission(HostConnection& conn, IntArgBlock& args);
void doChangeGameTool(HostConnection& conn, IntArgBlock& args, bool add);
void doListGameTools(HostConnection& conn, IntArgBlock& args);
void doGameTotals(HostConnection& conn, IntArgBlock& args);
void doGameGetVictoryCondition(HostConnection& conn, IntArgBlock& args);
void doGameUpdate(HostConnection& conn, IntArgBlock& args);

#endif
